This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 222821 - Unwinding of AltiVec registers
Unwinding of AltiVec registers
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-16 07:53 EST by Jan Kratochvil
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-30 03:07:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2007-01-16 07:53:24 EST
Bug not confirmed, to be checked.  Testcase TBD.

cjashfor@us.ibm.com:
Just for reference, in this doc -
http://www.freescale.com/files/32bit/doc/ref_manual/ALTIVECPIM.pdf - it says
that VR20-VR31 are non-volatile.  So it's conceivable that gdb would run into
eh_frame records that would describe the unwinding of VR registers.  However, I
think gcc's support for AltiVec is not very deep, so it's possible it won't ever
treat these registers as non-volatile and so it won't come up in practice
one other thing.  I found this web page that describes gcc's current
auto-vectorization:
http://gcc.gnu.org/projects/tree-ssa/vectorization.html#References  .  So it is
possible that gcc, under certain circumstances on PowerPC, will make use of
non-volatile registers VR20-31.
Comment 1 Jan Kratochvil 2007-01-30 03:07:59 EST
cjashfor: cagney jankratochvil: for the record, gdb handles the case of
accessing non-volatile AltiVec registers on the stack
cjashfor: cagney jankratochvil: I wasn't able to get it to misbehave
cagney: cjashfor, ah, congrats to elena

Note You need to log in before you can comment on or make changes to this bug.